All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
scan.cpp File Reference
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include <iostream>`
`#include <limits>`
`#include <string>`
`#include <iomanip>`

Go to the source code of this file.

## Typedefs

typedef int | ScalarType

## Functions

int | main ()

## Detailed Description

Tests inclusive and exclusive scan operations.

Test:
  Tests inclusive and exclusive scan operations.

Definition in file scan.cpp.

## Typedef Documentation

typedef int ScalarType

Definition at line 41 of file scan.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 140 of file scan.cpp.